Bug 1792224 - Review Request: libmongocrypt - The companion C library for client side encryption in drivers
Summary: Review Request: libmongocrypt - The companion C library for client side encry...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: dan.cermak
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2020-01-17 10:30 UTC by Remi Collet
Modified: 2020-02-06 00:16 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-01-31 01:12:58 UTC
dan.cermak: fedora-review+


Attachments (Terms of Use)

Description Remi Collet 2020-01-17 10:30:29 UTC
Spec URL: https://git.remirepo.net/cgit/rpms/lib/libmongocrypt.git/plain/libmongocrypt.spec?id=fd700e084d7c9874c9d01deeed659956ac255420
SRPM URL: http://rpms.remirepo.net/SRPMS/libmongocrypt-1.0.1-1.remi.src.rpm
Description: 
The companion C library for client side encryption in drivers.


Fedora Account System Username: remi


New dependency of mongo-c-driver 1.16

Comment 1 Remi Collet 2020-01-17 10:32:59 UTC
Notice: I don't plan to provides any language bindings, can be packaged separately if someone wants/needs them (and better for modularity)
(python and node available in upstream repo)

Comment 2 dan.cermak 2020-01-17 21:42:53 UTC
I have the following suggestions for the spec:
- use %autosetup -n %{gh_project}-%{version}%{?prever:-dev} -p1 instead of %setup and %patch
- use %make_build and %make_install instead of the manual make invocations
- upstream has support for doxygen docs, have you considered building these too?


Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed



===== MUST items =====

C/C++:
[x]: Package does not contain kernel modules.
[x]: Package contains no static executables.
[x]: If your application is a C or C++ application you must list a
     BuildRequires against gcc, gcc-c++ or clang.
[x]: Header files in -devel subpackage, if present.
[x]: ldconfig not called in %post and %postun for Fedora 28 and later.
[x]: Package does not contain any libtool archives (.la)
[x]: Rpath absent or only used for internal libs.
[x]: Development (unversioned) .so files in -devel subpackage, if present.

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses.
[x]: License file installed when any subpackage combination is installed.
[x]: If the package is under multiple licenses, the licensing breakdown
     must be documented in the spec.
[x]: %build honors applicable compiler flags or justifies otherwise.
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[x]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Useful -debuginfo package or justification otherwise.
[x]: Package is not known to require an ExcludeArch tag.
[x]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 20480 bytes in 2 files.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least
     one supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %license.
[x]: Package requires other packages for directories it uses.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Dist tag is present.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package must not depend on deprecated() packages.
[x]: Package use %makeinstall only when make install DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package does not use a name that already exists.
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

===== SHOULD items =====

Generic:
[x]: If the source package does not include license text(s) as a separate
     file from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[x]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[x]: Patches link to upstream bugs/comments/lists or are otherwise
     justified.
[-]: Sources are verified with gpgverify first in %prep if upstream
     publishes signatures.
     Note: gpgverify is not used.
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[?]: Package should compile and build into binary rpms on all supported
     architectures. (koji doesn't cooperate…)
[x]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed
     files.
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Fully versioned dependency in subpackages if applicable.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Uses parallel make %{?_smp_mflags} macro.
[x]: The placement of pkgconfig(.pc) files are correct.
[x]: Sources can be downloaded from URI in Source: tag
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on debuginfo package(s).
     Note: No rpmlint messages.
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Large data in /usr/share should live in a noarch subpackage if package
     is arched.
[x]: Spec file according to URL is the same as in SRPM.

Comment 3 Remi Collet 2020-01-18 06:46:10 UTC
(In reply to dan.cermak from comment #2)
> I have the following suggestions for the spec:
> - use %autosetup -n %{gh_project}-%{version}%{?prever:-dev} -p1 instead of
> %setup and %patch
> - use %make_build and %make_install instead of the manual make invocations

I prefer to keep using the "old" way, which stays compatible with older distros and older build systems (without epel-rpm-macros)

> - upstream has support for doxygen docs, have you considered building these
> too?

No (I think that nowaday, everybody use online documentation)
but it can be added later.

Comment 4 Remi Collet 2020-01-18 07:17:06 UTC
BTW, see https://git.remirepo.net/cgit/rpms/lib/libmongocrypt.git/commit/?id=8bd018c8cae7e6c48a365a7ff05fa401c3269333

Spec URL: https://git.remirepo.net/cgit/rpms/lib/libmongocrypt.git/plain/libmongocrypt.spec?id=8bd018c8cae7e6c48a365a7ff05fa401c3269333
SRPM URL: http://rpms.remirepo.net/SRPMS/libmongocrypt-1.0.1-2.remi.src.rpm


Notice:

- mongo-c-driver 1.16.0-1 is broken (cmake files have ref to static lib, not packaged), fixed in 1.16.0-2

- "devel" package size is quite bigger (30KB => 130KB), but seems acceptable with nowadays disk size (and devel usually not used in minimized images) so I don't think it worth creating a "docs" sub package.

Comment 5 dan.cermak 2020-01-18 07:21:05 UTC
Thanks for the fixes!

Package approved.

Comment 7 Remi Collet 2020-01-20 16:00:08 UTC
@dan, please check assignment (mandatory for SCM requests)

Comment 8 Gwyn Ciesla 2020-01-20 16:23:50 UTC
(fedscm-admin):  The Pagure repository was created at https://src.fedoraproject.org/rpms/libmongocrypt

Comment 9 Fedora Update System 2020-01-21 06:56:07 UTC
FEDORA-EPEL-2020-9d649cb355 has been submitted as an update to Fedora EPEL 8. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2020-9d649cb355

Comment 10 Fedora Update System 2020-01-21 06:56:09 UTC
FEDORA-2020-1cd70cf591 has been submitted as an update to Fedora 30. https://bodhi.fedoraproject.org/updates/FEDORA-2020-1cd70cf591

Comment 11 Fedora Update System 2020-01-21 06:56:10 UTC
FEDORA-2020-eff246288a has been submitted as an update to Fedora 31. https://bodhi.fedoraproject.org/updates/FEDORA-2020-eff246288a

Comment 12 Fedora Update System 2020-01-22 01:27:52 UTC
libmongocrypt-1.0.1-2.el8 has been pushed to the Fedora EPEL 8 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2020-9d649cb355

Comment 13 Fedora Update System 2020-01-22 01:56:18 UTC
libmongocrypt-1.0.1-2.fc30 has been pushed to the Fedora 30 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2020-1cd70cf591

Comment 14 Fedora Update System 2020-01-24 05:49:25 UTC
libmongocrypt-1.0.1-2.fc31 has been pushed to the Fedora 31 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2020-eff246288a

Comment 15 Fedora Update System 2020-01-31 01:12:58 UTC
libmongocrypt-1.0.1-2.fc30 has been pushed to the Fedora 30 stable repository. If problems still persist, please make note of it in this bug report.

Comment 16 Fedora Update System 2020-02-01 01:30:20 UTC
libmongocrypt-1.0.1-2.fc31 has been pushed to the Fedora 31 stable repository. If problems still persist, please make note of it in this bug report.

Comment 17 Fedora Update System 2020-02-06 00:16:37 UTC
libmongocrypt-1.0.1-2.el8 has been pushed to the Fedora EPEL 8 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.